#!/bin/bash
#
# Copyright (C) 2010-2012 Eugen Feller, INRIA <eugen.feller@inria.fr>
#
# This file is part of Snooze, a scalable, autonomic, and
# energy-aware virtual machine (VM) management framework.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses>.
#

NODE_DIRECTORY="/usr/share/snoozenode/"
USER_BIN_DIRECTORY="/usr/bin/"
BINARY="snoozenode.jar"
LAUNCH_SCRIPT="snoozenode"

echo "Starting installation!"

mkdir -p $NODE_DIRECTORY
cp -R configs/ $NODE_DIRECTORY
cp -R binary/$BINARY $NODE_DIRECTORY
cp -R launch/$LAUNCH_SCRIPT $USER_BIN_DIRECTORY
chmod -R 755 $NODE_DIRECTORY
chmod -R 755 $USER_BIN_DIRECTORY/$LAUNCH_SCRIPT

echo "Installation finished!" 
